{% extends "base.html" %}
{% load static %}
{% block content %}

<div style = "background-color: #FFF3CC; padding: 50px; height: auto">

        {% with url_name=request.resolver_match.url_name %}
        {% if url_name == 'form' %}
            <h1>Add a reminder</h1>
        {% else %}
            <h1>Are you sure you want to delete this activity?</h1>
        {% endif %}
        {% endwith %}
    
    <form method = "POST", action="{% url 'form' %}">
        {% csrf_token %}
        <table style="width: 100%; height: 100%; margin-top: 35px; margin-bottom: 35px; padding : 50px;">
            <tr>
                 {{ form.as_table }}
            </tr>
        </table>

        {% with url_name=request.resolver_match.url_name %}
        {% if url_name == 'delete_activity' %}
            <a href="{% url 'show' %}"><button class="btn btn-danger" type="submit">Delete</button></a>
        {% else %}
            <button class="btn-success" type="submit">Add</button>
        {% endif %}
    </form>

    {% if messages %}

            <ul class="messages">
            {% for message in messages %}
            <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
            </ul>

    {% endif %}
    {% endwith %}

</div>
{% endblock %}